pods::SDL::SMPEG(3)

NAME
SDL::SMPEG - a SDL perl extension

CATEGORY
TODO

SYNOPSIS
  $video = SDL::SMPEG->new( -name => 'pr0n.mpg' );

DESCRIPTION
"SDL::SMPEG" adds support for MPEG video to your SDL Perl application. SMPEGs are objects bound to surfaces, whose playback is controlled through the object's interface.

  METHODS

•   "SDL::SMPEG::error()" returns any error messages associated with playback

•   "SDL::SMPEG::audio(bool)" enables or disables audio playback, (on by default)

•   "SDL::SMPEG::video(bool)" enables or disable video playback, (on by default)

•   "SDL::SMPEG::loop(bool)" enables or disable playback looping (off by default)

•   "SDL::SMPEG::volume(int)" set the volume as per the mixer volume

•   "SDL::SMPEG:display(surface)" binds the clip to a display surface

•   "SDL::SMPEG::scale([x,y]|[surface]|int)" scales the clip by either x,y factors, scales to the image dimensions, or a single scalar.

•   "SDL::SMPEG::play()" plays the video clip, call "SDL::SMPEG::display()" before playing

•   "SDL::SMPEG::pause()" pauses video playback

•   "SDL::SMPEG::stop()" stops video playback

•   "SDL::SMPEG::rewind()" resets the clip to the beginning

•   "SDL::SMPEG::seek(offset)" seeks to a particular byte offset

•   "SDL::SMPEG::skip(time)" skips to a particular time

•   "SDL::SMPEG::region(rect)" takes a SDL::Rect and defines the display area

•   "SDL::SMPEG::frame(int)" renders a specific frame to the screen

•   "SDL::SMPEG::info()" returns a new "SDL::MPEG" object reflecting the current status

•   "SDL::SMPEG::status()" returns either SMPEG_PLAYING or SMPEG_STOPPED or SMPEG_ERROR

AUTHOR
David J. Goehrig

SEE ALSO
perl(1) SDL::Surface(3) SDL::MPEG(3)